#!/bin/bash
source "${AGENT_PATH}/common.sh"
_check_required_env_vars "VOLUME_NAME" "BACKUP_FILE" "TEMP_DIR"

# Simple Object Storage Backup Script
# Creates a backup tarball of the volume contents.



# HOT backup is fine for simple-object-storage
databackup "volume=${VOLUME_NAME}" || _die "Failed to create backup"

echo "Backup complete: ${BACKUP_FILE}"
