#!/bin/bash
source "${AGENT_PATH}/common.sh"
_check_required_env_vars "CONTAINER_NAME" "LOCAL_DATA_FOLDER" "BACKUP_FILE" "TEMP_DIR"

# Stop container before backup
_stop_container "$CONTAINER_NAME"

databackup "path=${LOCAL_DATA_FOLDER}" || _die "Failed to create backup"

# Start container after backup
_start_container "$CONTAINER_NAME"

echo "Backup created successfully"
